Package org.opensaml.saml.common.binding.encoding

# Interface SAMLMessageEncoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageEncoder`

All Known Implementing Classes:
  `BaseSAML1MessageEncoder`, `BaseSAML2MessageEncoder`, `HTTPArtifactEncoder`, `HTTPArtifactEncoder`, `HttpClientRequestSOAP11Encoder`, `HttpClientRequestSOAP11Encoder`, `HTTPPostEncoder`, `HTTPPostEncoder`, `HTTPPostSimpleSignEncoder`, `HTTPRedirectDeflateEncoder`, `HTTPSOAP11Encoder`, `HTTPSOAP11Encoder`

public interface SAMLMessageEncoder extends MessageEncoder
SAML extension to the generic message encoder.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBindingURI()`
Gets the SAML binding URI supported by this encoder.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

## Method Details

### getBindingURI

@Nonnull @NotEmpty String getBindingURI()
Gets the SAML binding URI supported by this encoder.

Returns:
  SAML binding URI supported by this encoder